Delete Webhook Endpoint
curl --request POST \
--url https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "development"
}
'import requests
url = "https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete"
payload = { "environment": "development" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment: 'development'})
};
fetch('https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment' => 'development'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete"
payload := strings.NewReader("{\n \"environment\": \"development\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"development\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment\": \"development\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Success"
}Webhook Endpoints
Delete Webhook Endpoint
Delete a webhook endpoint.
POST
/
webhook-endpoints
/
{id}
/
delete
Delete Webhook Endpoint
curl --request POST \
--url https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "development"
}
'import requests
url = "https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete"
payload = { "environment": "development" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment: 'development'})
};
fetch('https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment' => 'development'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete"
payload := strings.NewReader("{\n \"environment\": \"development\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"development\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dashboard.knotapi.com/webhook-endpoints/{id}/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment\": \"development\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Success"
}Authorizations
Short-lived access token from the device authorization flow. Expires after 15 minutes. Manages only the environment of the client ID it was issued for.
Path Parameters
Unique identifier for the webhook endpoint.
Example:
"0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21"
Body
application/json
The input parameters required for deleting a webhook endpoint.
The environment the webhook endpoint belongs to. Must match your access token's environment.
Available options:
development, production Example:
"development"
Response
Successful request.
Success message.
Example:
"Success"
Was this page helpful?